# $Revision: 1.17 $, $Date: 2002/11/17 18:34:41 $
#
# conditional build
# _without_dist_kernel          without distribution kernel
#
Summary:	TDFX DRM Driver
Summary(pl):	Sterownik DRM do kart 3Dfx
Name:		kernel-video-tdfxdrm
Version:	1.0
%define	_rel	9
Release:	%{_rel}@%{_kernel_ver_str}
License:	MIT
Group:		Base/Kernel
Source0:	tdfxdrm.tgz
%{!?_without_dist_kernel:BuildRequires:         kernel-headers < 2.4.0 }
BuildRequires:	%{kgcc_package}
PreReq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Obsoletes:	tdfxdrm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a device driver to allow 3dfx hardware to work
in the direct rendering manager.

%description -l pl
Ten pakiet zawiera sterowniki ktry pozwala na uywanie sprztu 3dfx z
DRM (Direct Rendering Manager).

%package -n kernel-smp-video-tdfxdrm
Summary:	TDFX DRM Driver
Summary(pl):	Sterownik DRM do kart 3Dfx
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
PreReq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Obsoletes:	tdfxdrm

%description -n kernel-smp-video-tdfxdrm
This package provides a device driver for SMP to allow 3dfx hardware
to work in the direct rendering manager.

%description -n kernel-smp-video-tdfxdrm -l pl
Ten pakiet zawiera sterowniki ktry pozwala na uywanie sprztu 3dfx z
DRM (Direct Rendering Manager) w systemach SMP

%prep
%setup -q -c

%build
%{__make} -f Makefile.linux tdfx.o AGP=1 SMP=1 CC="%{kgcc} -DCONFIG_X86_LOCAL_APIC"
mv -f tdfx.o tdfx.o-smp
%{__make} -f Makefile.linux clean
%{__make} -f Makefile.linux tdfx.o AGP=1 CC="%{kgcc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc

install tdfx.o-smp $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/tdfx.o
install tdfx.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/tdfx.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-video-tdfxdrm
/sbin/depmod -a

%postun -n kernel-smp-video-tdfxdrm
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc README.drm
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-video-tdfxdrm
%defattr(644,root,root,755)
%doc README.drm
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-video-tdfxdrm.spec,v $
Revision 1.17  2002/11/17 18:34:41  kloczek
- release 9: rebuild against kernel 2.2.22-6.

Revision 1.16  2002/09/30 15:52:41  kloczek
- release 8: rebuild against kernel 2.2.22.

Revision 1.15  2002/08/18 18:20:31  kloczek
- simplification in %install.

Revision 1.14  2002/08/18 18:16:30  blues
- fixed doc

Revision 1.13  2002/08/18 17:56:07  kloczek
- relase 7: rebuild against kernel 2.2.21.

Revision 1.12  2002/07/10 23:12:52  blues
- new doc

Revision 1.11  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.10  2002/03/04 22:26:38  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.5.

Revision 1.9  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.8  2002/02/26 15:18:12  qboosh
- use requires_releq_kernel_{up,smp} and kgcc macros, release 4

Revision 1.7  2002/02/23 22:04:05  saq
- changed Conflicts: wrong-kernel to Requires: right-kernel
- release 3, STBR

Revision 1.6  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/11 01:44:03  kloczek
- adapterized.

Revision 1.4  2002/02/10 19:14:31  marcus
- rel. 2. (for build with 2.2.20-10 and new 2.4)

Revision 1.3  2002/01/27 17:31:06  marcus
- tdfxdrm is NOT for ix86 only

Revision 1.2  2002/01/27 17:15:49  marcus
- tdfxdrm is for kernel 2.2 only

Revision 1.1  2002/01/27 17:09:09  marcus
- new spec (for kernel-* scheme)

Revision 1.5  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/23 14:22:12  qboosh
- s/Copyright/License/, Prereq: /sbin/depmod

Revision 1.3  2000/10/11 17:03:20  zagrodzki
- cosmetics

Revision 1.2  2000/10/11 17:00:14  zagrodzki
- added missing -c at %prep

Revision 1.1  2000/10/11 16:59:19  zagrodzki
- initial release
